<?php
/**
 * GlobalVariableGetPointcut.class
 */
class AOWP_GlobalVariableGetPointcut extends AOWP_PointcutComponent {
	private $_variableName;
	
	/**
	 * Constructor.
	 */
    public function __construct ($valName) 
    {
    	$this->_variableName = $valName;
    }
    
    public function specificMatch(AOWP_JoinPoint $joinPoint)
	{
		return 
		( 
			$joinPoint instanceof AOWP_GlobalVariableGetJoinPoint &&
			AOWP_PointcutMatcher::match($this->_variableName, $joinPoint->getVariableName())
		);
	}
	
	public function runtimeSpecificMatch(AOWP_Context $context) 
	{
		return true;
	}
}
?>