<?php
/**
 * Enter description here...
 *
 * @package aowp.aspect.joinpoint
 */
/**
 * Enter description here...
 *
 * @package aowp.aspect.joinpoint
 */
abstract class AOWP_ScriptFileJoinPoint extends AOWP_JoinPoint {
	
	private $_scriptFile;
	
	protected function _getBeforeAdvice($advice){}
	protected function _getAfterAdvice($advice){}
	protected function _getAroundAdvice($advice){}
	
	public function getKind(){}
	public function toSource(AOWP_Advice $advice){}
	
	public function __construct(AOWP_PHPFile $scriptFile) {
		$this->_scriptFile = $scriptFile;
	}
	
	public function beforeWeave(AOWP_Advice $advice) {
		array_splice($this->_scriptFile->rootAST->innerStatements, 0, 0, $advice->getAST());
	}
	
	public function afterWeave(AOWP_Advice $advice) {
		$this->_scriptFile->rootAST->innerStatements[] = $advice->getAST();
	}
	
	public function aroundWeave(AOWP_Advice $advice) {
		$this->_scriptFile->rootAST = $advice->getAST($this->_scriptFile->rootAST);
	}
}
?>