<?php
/**
 * WithinPointcut.class
 * 
 * @package aowp.aspect.pointcut
 */
class AOWP_WithinPointcut extends AOWP_PointcutComponent {
    private $_className;
	
	/**
	 * Constructor.
	 */
    public function __construct($className) 
    {
    	parent::__construct();
    	$this->_className = $className;
    }
   
    public function specificMatch(AOWP_JoinPoint $joinPoint)
    {
    	return AOWP_PointcutMatcher::match($this->_className, $joinPoint->getBelongClassName());
    }

	public function runtimeSpecificMatch(AOWP_Context $context) 
	{
		return true;
	}
}
?>
