<?php
/**
 * PHPWeavedElemenet.class
 *
 * @package aowp.parser.ast
 */
class AOWP_PHPWeavedElement extends AOWP_PHPElement {
	private $_builder;
	private $_advice;
	private $_flag;
	
	/**
	 * Constructor.
	 */
	public function __construct (AOWP_Builder  $builder, AOWP_Advice $advice, $flag=0) 
	{
		$this->_builder = $builder;
		$this->_advice  = $advice;
		$this->_flag    = $flag;
	}

	public function toSource ()
	{
		$this->_builder->toSource($this->_builder, $this->_advice, $this->_flag);	
	}	
	
	public function kind() 
	{
		return 'weavedAST';
	}
	
	public function __toString() 
	{
		return '';
	}
}
?>